org.codehaus.groovy.util

## Class AbstractConcurrentMapBase.Segment

- java.lang.Object
- - java.util.concurrent.locks.AbstractOwnableSynchronizer
  - - java.util.concurrent.locks.AbstractQueuedSynchronizer
    - - org.codehaus.groovy.util.LockableObject
      - - org.codehaus.groovy.util.AbstractConcurrentMapBase.Segment

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AbstractConcurrentMap.Segment

Enclosing class:
  AbstractConcurrentMapBase

    public static class AbstractConcurrentMapBase.Segment
    extends LockableObject

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.concurrent.locks.AbstractQueuedSynchronizer

`java.util.concurrent.locks.AbstractQueuedSynchronizer.ConditionObject`

### Field Summary

Fields
`protected java.lang.Object[]` `table`

### Constructor Summary

Constructors
`protected` `Segment(int initialCapacity)`

### Method Summary

### Methods inherited from class org.codehaus.groovy.util.LockableObject

`isHeldExclusively, lock, tryAcquire, tryRelease, unlock`

### Methods inherited from class java.util.concurrent.locks.AbstractQueuedSynchronizer

`acquire, acquireInterruptibly, acquireShared, acquireSharedInterruptibly, compareAndSetState, getExclusiveQueuedThreads, getFirstQueuedThread, getQueuedThreads, getQueueLength, getSharedQueuedThreads, getState, getWaitingThreads, getWaitQueueLength, hasContended, hasQueuedPredecessors, hasQueuedThreads, hasWaiters, isQueued, owns, release, releaseShared, setState, toString, tryAcquireNanos, tryAcquireShared, tryAcquireSharedNanos, tryReleaseShared`

### Methods inherited from class java.util.concurrent.locks.AbstractOwnableSynchronizer

`getExclusiveOwnerThread, setExclusiveOwnerThread`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### table

    protected volatile java.lang.Object[] table

### Constructor Detail

#### Segment

    protected Segment(int initialCapacity)